import request from '@/utils/request'

// 查询支部会议管理列表
export function listMeeting(query) {
  return request({
    url: '/branch/meeting/list',
    method: 'get',
    params: query
  })
}

// 查询支部会议管理详细
export function getMeeting(meetingId) {
  return request({
    url: '/branch/meeting/' + meetingId,
    method: 'get'
  })
}

// 新增支部会议管理
export function addMeeting(data) {
  return request({
    url: '/branch/meeting',
    method: 'post',
    data: data
  })
}

// 修改支部会议管理
export function updateMeeting(data) {
  return request({
    url: '/branch/meeting',
    method: 'put',
    data: data
  })
}

// 删除支部会议管理
export function delMeeting(meetingId) {
  return request({
    url: '/branch/meeting/' + meetingId,
    method: 'delete'
  })
}
